Get NFTs By Token ID
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | Object to filter results by specified conditions. |
limit | integer | Maximum number of results to return. |
offset | integer | Starting position for the results. |
order_by | object | Object specifying sort order. You can sort by multiple fields. |
Query Fields
Parameter | Type | Description |
|---|---|---|
decimals | integer | Number of decimal places. |
is_deleted_v2 | boolean | Whether deleted (v2). |
is_fungible_v2 | boolean | Whether Fungible (v2). |
largest_property_version_v1 | integer | Maximum attribute version (v1). |
maximum | integer | Maximum supply. |
supply | integer | Current supply. |
description | string | Description. |
last_transaction_timestamp | string | Timestamp of the last transaction (ISO 8601). |
last_transaction_version | integer | Version of the last transaction. |
token_data_id | string | Token data ID. |
token_name | string | Token name. |
token_properties | object | Token attributes. |
token_standard | string | Token standard. |
token_uri | string | Token URI. |
collection_id | string | Collection ID. |
current_token_ownerships | array | Current token ownership list. |
current_token_ownerships.owner_address | string | Owner address. |
current_token_ownerships.token_data_id | string | Token data ID. |
current_token_ownerships.table_type_v1 | string | Table type (v1). |
current_token_ownerships.storage_id | string | Storage ID. |
current_token_ownerships.property_version_v1 | integer | Attribute version (v1). |
current_token_ownerships.token_standard | string | Token standard. |
current_token_ownerships.token_properties_mutated_v1 | object | Mutated token attributes (v1). |
current_token_ownerships.amount | integer | Amount of asset. |
Example
Request Example
query MyQuery {
current_token_datas_v2(
limit: 5
offset: 0
where: {
token_data_id: {
_eq: "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da"
}
}
) {
decimals
is_deleted_v2
is_fungible_v2
largest_property_version_v1
maximum
supply
description
last_transaction_timestamp
last_transaction_version
token_data_id
token_name
token_properties
token_standard
token_uri
collection_id
current_token_ownerships(where: {amount: {_eq: "1"}}) {
owner_address
token_data_id
table_type_v1
storage_id
property_version_v1
token_standard
token_properties_mutated_v1
amount
}
}
}
Response Example
{
"data": {
"current_token_datas_v2": [
{
"decimals": 0,
"is_deleted_v2": null,
"is_fungible_v2": null,
"largest_property_version_v1": 0,
"maximum": 1,
"supply": 1,
"description": "",
"last_transaction_timestamp": "2022-10-25T18:00:03.448912",
"last_transaction_version": 12593221,
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"token_name": "AptosMonkeys #14",
"token_properties": {},
"token_standard": "v1",
"token_uri": "ipfs://bafybeihnochxvsv6h43qvg4snenpeasoml66nwxhuiadfzkefix7vbetyq/14.json",
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"current_token_ownerships": [
{
"owner_address": "0x67dbec453adfb79e0a7585bde660ed696f611e9f621850bef926a6609d0701db",
"token_data_id": "0x9a47523002a8940afaae60cb01d13ccea0408b17e958ebf1940a9f687785d6da",
"table_type_v1": "0x3::token::TokenStore",
"storage_id": "0x1535e5735d83b57e52e0d2a82896051344d831e9c27247c53a3c9a6a35838521",
"property_version_v1": 0,
"token_standard": "v1",
"token_properties_mutated_v1": {},
"amount": 1
}
]
}
]
}
}